/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Dienst Verkeerskunde
 *                     WSRA
 * File:               AFTR_TD.INC
 *
 * Inhoud:   prototypes en define's 
 *           het bepalen van de instelling van een tijd door een
 *           andere tijd van de maximumgroentijd af te trekken
 * 
 * Datum:     17 februari 1995
 * Gewijzigd: 10 maart 2003
 *            - aanpassing aan Flash
 *            - 1e parameter omgezet van TIJD-parameter naar EPARM-parameter
 * Gewijzigd: 18 juni 2004
 *            - aanpassing aan RWS C-versie 7.14
 * Versie:    4.1
 */


void aftrekken_TIJDEN (Int16 parm, Int16 w_t, Int16 n)
{
    Uint32 mg_tijd, parmtijd, werktijd, verschil;

    mg_tijd = inst_MG_TIJD(n);
    parmtijd = inst_EPARM(parm);
    werktijd = inst_TIJD(w_t);
    verschil = mg_tijd - parmtijd;

    if (mg_tijd <= parmtijd)              /* MG_TIJD <= TIJD */
    {
        if (werktijd != 0)
            wijzig_TIJD(w_t, 0);
    }
    else                                  /* MG_TIJD > TIJD */
    {
       if (werktijd != verschil)
            wijzig_TIJD(w_t, verschil);
    }
}
