/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               KIEZEN_M.INC
 *
 * Inhoud:   prototypes en define's 
 *           kiezen MG_TIJD'en op basis van twee spitsklokken en twee
 *           extra klokken met bijbehorende dagkeuze
 *
 * Datum:     27 januari 1994
 * Gewijzigd: 14 maart 2003 
 *            - aanpassing aan Flash
 *            - omzetten koopavondklok en -dag naar twee extra klokken 
 *              met instelbare bijbehorende dagkeuze
 *            12 januari 2004
 *            - aanpassing aan versie 1.07.14 (gebruik EGGPARM ipv EPARM)
 * Versie:    4.1
 */

void kiezen_MG_TIJDEN (Int16 o,         Int16 a,
                       Int16 k_extra1, Int16 d_extra1, 
                       Int16 k_extra2, Int16 d_extra2,
                       Int16 tl_mgset)
{
 maak_TL(tl_mgset, 1);
 if (KL(o) || KL(a) || KL(k_extra1) || KL(k_extra2))
 {
  if (KL(o) && !dag(ZATERDAG) && !dag(ZONDAG))                   /* ochtendspits    */
  { kies_MG_TIJD2(); maak_TL(tl_mgset, 2); }

  if (KL(a) && !dag(ZATERDAG) && !dag(ZONDAG))                   /* avondspits      */
  { kies_MG_TIJD3(); maak_TL(tl_mgset, 3); }

  if (KL(k_extra1) &&                                             /* extra periode 1 */
      (dag((Int16)(inst_EGGPARM(d_extra1))) ||                      /*     ma,di,..,zo */
      (inst_EGGPARM(d_extra1)==7) && !dag(ZATERDAG) && !dag(ZONDAG) ||  /* werkdagen */
      (inst_EGGPARM(d_extra1)==8) && (dag(ZATERDAG) ||  dag(ZONDAG)) || /* weekend   */
      (inst_EGGPARM(d_extra1)==9)))                                    /* alle dagen */
  { kies_MG_TIJD4(); maak_TL(tl_mgset, 4); }

  if (KL(k_extra2) &&                                             /* extra periode 2 */
      (dag((Int16)(inst_EGGPARM(d_extra2))) ||                      /*     ma,di,..,zo */
      (inst_EGGPARM(d_extra2)==7) && !dag(ZATERDAG) && !dag(ZONDAG) ||  /* werkdagen */
      (inst_EGGPARM(d_extra2)==8) && (dag(ZATERDAG) ||  dag(ZONDAG)) || /* weekend   */
      (inst_EGGPARM(d_extra2)==9)))                                    /* alle dagen */
  { kies_MG_TIJD5(); maak_TL(tl_mgset, 5); }
 }
 if (TL(tl_mgset) == 1)
   kies_MG_TIJD1();                                              /* dalperiode      */  
}
